Summary: checksuite is suite of resource checking scripts
Name: checksuite
Version: 2.4
Release: 0
Source: /usr/src/redhat/SOURCES/%{name}-%{version}.tar.bz2
License: GPL
Group: Applications/System
URL: http://checksuite.sourceforge.net/
Buildroot: /var/tmp/%{name}-buildroot
Requires: fileutils, sh-utils, net-tools, grep, logrotate

%description
The checksuite package is comprised of 7 programs that check system resources and security written by Larry Long. Each program is ran from cron in /etc/cron.d/checksuite.cron. Perform 'man checksuite' for more information.

%prep
%setup -q
mkdir -p /var/tmp/checksuite-buildroot
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp -f /usr/src/redhat/BUILD/%{name}-%{version}/* /var/tmp/%{name}-buildroot

%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 644 checksuite.cron $RPM_BUILD_ROOT/etc/cron.d/checksuite.cron
install -m 644 checksuite $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 checksuite.1 $RPM_BUILD_ROOT/usr/man/man1
gzip -9 $RPM_BUILD_ROOT/usr/man/man1/checksuite.1
install -m 755 checkload $RPM_BUILD_ROOT/usr/local/sbin/checkload
install -m 755 checkswap $RPM_BUILD_ROOT/usr/local/sbin/checkswap
install -m 755 checkdisk $RPM_BUILD_ROOT/usr/local/sbin/checkdisk
install -m 755 checkinodes $RPM_BUILD_ROOT/usr/local/sbin/checkinodes
install -m 755 checksecurity $RPM_BUILD_ROOT/usr/local/sbin/checksecurity
install -m 755 checksyn $RPM_BUILD_ROOT/usr/local/sbin/checksyn
install -m 755 checkhardware $RPM_BUILD_ROOT/usr/local/sbin/checkhardware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/cron.d/checksuite.cron
/etc/logrotate.d/checksuite
/usr/man/man1/checksuite.1.gz
/usr/local/sbin/checkload
/usr/local/sbin/checkswap
/usr/local/sbin/checkdisk
/usr/local/sbin/checkinodes
/usr/local/sbin/checksecurity
/usr/local/sbin/checksyn
/usr/local/sbin/checkhardware

%post
/bin/echo "** Creating log file - /var/log/checksuite..."
/bin/touch /var/log/checksuite
/bin/echo " "

/bin/echo "** Verifying each programs compatibility..."
/usr/bin/perl -c /usr/local/sbin/checkload
/usr/bin/perl -c /usr/local/sbin/checkswap
/usr/bin/perl -c /usr/local/sbin/checkdisk
/usr/bin/perl -c /usr/local/sbin/checkinodes
/usr/bin/perl -c /usr/local/sbin/checksecurity
/usr/bin/perl -c /usr/local/sbin/checksyn
/usr/bin/perl -c /usr/local/sbin/checkhardware
/bin/echo " "

/bin/echo "** Restarting crond..."
/etc/rc.d/init.d/crond stop
/usr/bin/killall -KILL CROND > /dev/null 2>&1
/etc/rc.d/init.d/crond start

%preun
%postun

%changelog
* Sun Sep 07 2003 Larry Long <larry@djslyde.com> 2.4-0
- Modified all programs to use Net::SMTP instead of /bin/mail
- Thank you to Dennis Opacki for the Net::SMTP recommendation
- Bumped down threshold for checkdisk and checkinodes to 85%
- Changed location of scripts from /usr/local/sbin/checksuite to /usr/local/sbin
- Added extra fields for process listing in checkload and checkswap
- Cleaned up subroutine code for all programs
- Modified install script and spec file to gzip the man page

* Sun Aug 31 2003 Larry Long <larry@djslyde.com> 2.3-0
- Cleaned up more formatting in the man page
- Removed the .pl file extensions from each program

* Thu Aug 28 2003 Larry Long <larry@djslyde.com> 2.2-1
- Fixed logging issue with checkload.pl and checkswap.pl
- Modified man page a slight bit with formatting

* Sun Aug 24 2003 Larry Long <larry@djslyde.com> 2.2-0
- Upgraded to v2.2
- Added a new option (-t) for specifying threshold for checkload.pl,
- checkload.pl, checkswap.pl, checkinodes.pl
- Fixed the format of logging for checksyn.pl
- Fixed a variable for checking suid's with checksecurity.pl, wrong scalar
- New option (-r) for enabling a full system RPM check on checksecurity.pl

* Sun Aug 03 2003 Larry Long <larry@djslyde.com> 2.1-0
- Upgraded to v2.1! :->
- Cleaned up even more code to make it easier to read and modify
- Modified checksecurity.pl and checksyn.pl to be lighter and more efficient
- Added new command line arguments for all scripts (-hloe) using Getopt::Std
- Added a man page for checksuite
- Modified checkswap.pl to use a threshold of half the total swap available
- Both checkload.pl and checkswap.pl only show active processes when threshold
- is hit instead of showing full system process listing
- Removed versioning information on packages in checksecurity.pl

* Sun Jul 27 2003 Larry Long <larry@djslyde.com> 2.0-0
- Upgrading complete suite to v2.0!
- Changed all scripts to use /bin/mail then having to rely on sendmail
- Modified checkload.pl and checkswap.pl to properly show active processes
- Modified checkdisk.pl to give accurate information highly utilized partitions
- Added 2 parameters that can now be specified during execution, see crontab
- Cleaned up more code, substituted several nasty arrays with simple handles

* Sat Jun 21 2003 Larry Long <larry@djslyde.com> 1.7-3
- Added checking of root and wheel group for checksecurity.pl
- Also added checking for Apache 2.0 as an RPM

* Fri Jun 20 2003 Larry Long <larry@djslyde.com> 1.7-2
- Added a hash in checksyn.pl for a unique array of IP's to block
- Added /usr/bin/du functionality for checkdisk.pl

* Wed Jun 18 2003 Larry Long <larry@djslyde.com> 1.7-1
- Added extra optimizations to checksyn.pl to reduce chance of SYN
- floods making a large impact on the system

* Sun Jun 15 2003 Larry Long <larry@djslyde.com> 1.6-4
- Fixed a bug in checkhardware.pl with the $notify variable

* Sat Jun 14 2003 Larry Long <larry@djslyde.com> 1.6-3
- Changed load average threshold to 7 instead of 5
- Piped extra garbage to /dev/null for execution of checksyn.pl

* Fri Jun 13 2003 Larry Long <larry@djslyde.com> 1.6-2
- Modified checksyn.pl script to not send e-mail notifications
- Added checking for root and wheel group permissions in checksecurity.pl

* Sun Jun 01 2003 Larry Long <larry@djslyde.com> 1.6-1
- Added new checkhardware.pl script for checking dmesg
- Cleaned some code up in checksyn.pl
- Removed blocking destination IP's from the server since that is useless
- Modified cron entries yet again

* Sat May 31 2003 Larry Long <larry@djslyde.com> 1.6-0
- Fixed regular expression for removing port numbers from output

* Thu May 22 2003 Larry Long <larry@djslyde.com> 1.5-2
- Fixed verification of firewall with kernel (ipchains or iptables)
- Added the enabling of SYN cookies
- Added increasing the socket queue

* Thu Apr 17 2003 Larry Long <larry@djslyde.com> 1.5-1
- Fixed chain creation of SYN in checksyn.pl

* Sat Apr 12 2003 Larry Long <larry@djslyde.com> 1.4-3
- Added checksyn.pl for monitoring the system for SYN floods

* Mon Apr 07 2003 Larry Long <larry@djslyde.com> 1.4-2
- Fixed checkload.pl and checkswap.pl to show all processes with top

* Sun Mar 30 2003 Larry Long <larry@djslyde.com> 1.4-1
- Fixed cron entries. Every 10 minutes for disk checking was annoying as hell
- Changed checkdisk.pl and checkinodes.pl to every 60 minutes
- Changed checkswap.pl to every 10 minutes

* Sun Mar 24 2003 Larry Long <larry@djslyde.com> 1.3-3
- Cleaned up alot of ugly code

* Sun Mar 23 2003 Larry Long <larry@djslyde.com> 1.3-2
- Fixed rotate in /etc/logrotate.d/checksuite
- It now rotates weekly and keeps logs for 4 weeks
- Fixed checkswap.pl, seems there was an extra space after the value

* Tue Mar 18 2003 Larry Long <larry@djslyde.com> 1.3-1
- Added logging for the checkscripts in /var/log/checksuite
- Added checksuite to /etc/logrotate.d

* Mon Mar 17 2003 Larry Long <larry@djslyde.com> 1.2-2
- Fixed checksecurity.pl to check /var/log/messages for PAM
- Changed weekly cron for security script to Sunday 12am

* Mon Mar 17 2003 Larry Long <larry@djslyde.com> 1.2-1
- Fixed RPM queries for qmail and proftp for PSA boxes

* Sun Mar 16 2003 Larry Long <larry@djslyde.com> 1.2-0
- Added PAM Authentication logging for checksecurity.pl
- Fixed threshold operator for all check scripts

* Sat Mar 15 2003 Larry Long <larry@djslyde.com> 1.1-2
- Added a whistle to checksecurity.pl
- Modified if statements for thresholds

* Fri Mar 14 2003 Larry Long <larry@djslyde.com> 1.1-1
- Found a glitch with accessing sendmail for Plesk boxes
- Changed prereq to /usr/sbin/sendmail

* Fri Mar 14 2003 Larry Long <larry@djslyde.com> 1.1-0
- Modified some thresholds and RPM description

* Sat Mar 08 2003 Larry Long <larry@djslyde.com> 1.0-0
- First build... woo hoo
